:root {
  --color-header-transparent-text-hover: #000 !important;
}
.ht--popup-mega-menu {
}
.ht--popup-mega-menu .w-btn {
  width: 252px;
  color: #fff !important;
}
.ht--popup-mega-menu #menu-main-menu {
  font-family: aviano-royale !important;
  line-height: 60% !important;
}
.ht--popup-mega-menu .w-popup-box-content {
  background: linear-gradient(180deg, #000 0%, #21190b 100%);
}
.ht--popup-mega-menu .w-popup-box-content::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: url(/wp-content/uploads/2025/11/decoration.png);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  opacity: 1;
  z-index: 0;
}

.ht--popup-mega-menu .w-popup-box {
  max-width: 100vw !important;
}

.l-subheader.at_middle.width_full {
  padding-inline: 48px !important;
}
@media (max-width: 1024px) {
  .l-subheader.at_middle.width_full {
    padding-inline: 16px !important;
  }
}

.ht--logo-mega-menu {
  max-width: 365px;
}

.ht--header-mega-menu {
  height: 102px;
  display: flex;
  align-items: center;
  padding-inline: 48px !important;
}

.ht--menu-section-mega-menu {
}
.ht--menu-section-mega-menu .valign_middle {
  height: calc(90vh - 102px);
  display: flex;
  align-items: center;
}
/* _________________________________________________ */
@media (max-width: 1024px) {
  .ht--menu-section-mega-menu .valign_middle {
    height: auto !important;
    display: flex;
    align-items: center;
  }
  .ht--menu-section-mega-menu #menu-main-menu {
    text-align: center;
  }
  .ht--logo-mega-menu {
    max-width: 100% !important;
  }
  .ht--header-mega-menu {
    height: auto !important;
    display: flex;
    align-items: center;
    padding-inline: 0px !important;
  }
  .ht--menu-section-mega-menu #menu-main-menu li {
    margin-bottom: 22px !important;
  }
  .ht--menu-section-mega-menu {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }

  /* _______________________________________________ */
  .ht--popup-mega-menu .w-popup-box-content {
    padding: 0px 16px 50px 16px !important;
  }

  .ht--header-mega-menu .ht--internal-row .vc_column-inner {
    height: 80px;
  }

  .ht--header-mega-menu
    .ht--internal-row
    .vc_col-sm-6.vc_col-xs-6.wpb_column.vc_column_container:nth-child(1)
    .vc_column-inner {
    padding-right: 0 !important;
  }
  .ht--header-mega-menu
    .ht--internal-row
    .vc_col-sm-6.vc_col-xs-6.wpb_column.vc_column_container:nth-child(2)
    .vc_column-inner {
    padding-left: 0 !important;
  }
  .ht--header-mega-menu .ht--internal-row .vc_column-inner {
    height: 80px;
  }

  .ht--popup-mega-menu button.w-popup-closer {
    display: none !important;
  }
  .ht--popup-mega-menu .w-text.w-popup-closer:hover {
    cursor: pointer;
  }
  .ht--popup-mega-menu .ht--user-megamenu,
  .ht--popup-mega-menu .w-text.w-popup-closer {
    width: 36px;
    height: 36px;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(6px);
  }
  .ht--popup-mega-menu .ush_cart_1 .w-cart-icon .fad.fa-shopping-cart {
    font-size: 16px !important;
    color: #d2b48c !important;
  }
  .ht--popup-mega-menu .fad.fa-user {
    color: #d2b48c;
  }
  .ht--popup-mega-menu .w-cart-dropdown {
    display: none !important;
  }
  .ht--popup-mega-menu .ush_cart_1 .w-cart-icon {
    border-radius: 100%;
    border-radius: 43px;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(9px);
    line-height: 2.2 !important;
    width: 36px !important;
    height: 36px !important;
    border: none !important;
  }
  .ht--popup-mega-menu .w-popup-closer::before {
    font-size: 22px;
    font-weight: 100 !important;
  }
}

@media (min-width: 1024px) {
  .ht--popup-mega-menu button.w-popup-closer {
    display: none !important;
  }
  .ht--popup-mega-menu .w-popup-closer {
    width: fit-content;
    margin-left: auto;
    font-size: 35px;
    font-weight: 100 !important;
  }
  .ht--popup-mega-menu .w-popup-closer::before {
    font-weight: 100 !important;
  }
  .ht--popup-mega-menu .w-popup-closer {
    color: #6f5a3d !important;
    line-height: 1;
    border: 1px solid #6f5a3d;
    border-radius: 100%;
    width: 48px;
    height: 48px;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(9px);
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .ht--popup-mega-menu .w-popup-closer:hover {
    cursor: pointer;
  }
}
